import { FlowNode } from '../../../Nodes/FlowNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
export class Log extends FlowNode {
    constructor(description, graph) {
        super(description, graph, [new Socket('flow', 'flow'), new Socket('string', 'text')], [new Socket('flow', 'flow')]);
    }
    triggered(fiber, triggeredSocketName) {
        const logger = this.graph.registry.abstractions.get('ILogger');
        logger.info(this.readInput('text'));
        fiber.commit(this, 'flow');
    }
}
Log.Description = new NodeDescription('debug/log', 'Action', 'Debug Log', (description, graph) => new Log(description, graph));
//# sourceMappingURL=DebugLog.js.map