import { ImmediateNode } from '../../../Nodes/ImmediateNode.js';
import { NodeDescription } from '../../../Nodes/Registry/NodeDescription.js';
import { Socket } from '../../../Sockets/Socket.js';
import { toCamelCase } from '../../../toCamelCase.js';
export class GetSceneProperty extends ImmediateNode {
    constructor(description, graph, valueTypeName) {
        super(description, graph, [new Socket('string', 'jsonPath')], [new Socket(valueTypeName, 'value')], () => {
            const sceneGraph = this.graph.registry.abstractions.get('IScene');
            this.writeOutput('value', sceneGraph.getProperty(this.readInput('jsonPath'), valueTypeName));
        });
        this.valueTypeName = valueTypeName;
    }
    static GetDescriptions(...valueTypeNames) {
        return valueTypeNames.map((valueTypeName) => new NodeDescription(`scene/get/${valueTypeName}`, 'Query', `Get Scene ${toCamelCase(valueTypeName)}`, (description, graph) => new GetSceneProperty(description, graph, valueTypeName)));
    }
}
//# sourceMappingURL=GetSceneProperty.js.map